CMSIS-Driver: SAI Bit Order

| CMSIS-Driver Version 2.8.0 Peripheral Interface for Middleware and Application Code

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros
SAI Bit Order
SAI Configuration

Defines the bit order. More...

## Macros

#define | ARM_SAI_MSB_FIRST (0UL << ARM_SAI_BIT_ORDER_Pos)
| Data is transferred with MSB first (default) More...
#define | ARM_SAI_LSB_FIRST (1UL << ARM_SAI_BIT_ORDER_Pos)
| Data is transferred with LSB first; User Protocol only (ignored otherwise) More...

## Description

Defines the bit order.

## Macro Definition Documentation

#define ARM_SAI_MSB_FIRST (0UL << ARM_SAI_BIT_ORDER_Pos)

Data is transferred with MSB first (default)

#define ARM_SAI_LSB_FIRST (1UL << ARM_SAI_BIT_ORDER_Pos)

Data is transferred with LSB first; User Protocol only (ignored otherwise)